#
# spec file for package xalf (Version 0.12)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile control-center control-center-devel esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-libs gnome-libs-devel gnome-utils gpc gtk gtk-devel gxmhtml imlib imlib-devel indent libjpeg libpng libtiff libungif libxml libxml-devel libz orbit orbit-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress control-center control-center-devel cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-utils gpc gpm gppshare grep groff gtk gtk-devel gxmhtml gzip imlib imlib-devel indent kbd less libjpeg libpng libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xalf
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:        X11/GNOME/Utilities
  
Autoreqprov:  on
Version:      0.12
Release:      168
Summary:      Progress indicator for starting X-Applications
Source: http://www.lysator.liu.se/~astrand/projects/xalf/xalf-%{version}.tar.gz
URL: http://www.lysator.liu.se/~astrand/projects/xalf/
# BuildRoot: /var/tmp/xalf-root

%description
xalf is part of the GNOME project. It allows to show progress on running
and loading applications in four different ways.

Authors:
--------
    Peter strand <altic@lysator.liu.se>: Project starter, maintainer.
    Tuomas Kuosmanen <tigert@gimp.org>: Hourglass Splashscreen.
    Martin Engel <m.engel@ndh.net>: Animated star.

SuSE series: gnm

%prep
%setup -n xalf-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" \
LIBS=-L/usr/X11R6/lib \
  ./configure \
    --prefix=%prefix \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde
CFLAGS="$RPM_OPT_FLAGS" \
  make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean

%files
%defattr(-, root, root)
%doc AUTHORS FAQ COPYING ChangeLog NEWS README INSTALL TODO BUGS extras
%{prefix}/lib/libxalflaunch.*
%{prefix}/bin/xalf
%{prefix}/bin/xalfoff
%{prefix}/bin/xalf-capplet
%{prefix}/share/pixmaps/hourglass-big.png
%{prefix}/share/pixmaps/hourglass-small.png
%{prefix}/share/control-center/Desktop/xalf-settings.desktop
%{prefix}/share/gnome/apps/Settings/Desktop/xalf-settings.desktop

%changelog -n xalf
* Wed Jun 20 2001 - hhetter@suse.de
- fixed docdir, #8942
* Thu May 10 2001 - hhetter@suse.de
- updated to 0.12 ( fix for bug #8041)
* Tue Mar 20 2001 - hhetter@suse.de
- added esound-devel / esound to neededforbuild
* Tue Feb 20 2001 - hhetter@suse.de
- added Orbit(-devel) in #neededforbuild
* Fri Feb 16 2001 - hhetter@suse.de
- initial build
